VERSION 5.00
Begin VB.Form frmLevelEditor 
   Caption         =   "Level Editor"
   ClientHeight    =   6240
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9390
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   416
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   626
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox picCreature 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   6000
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   11
      Top             =   120
      Width           =   480
   End
   Begin VB.PictureBox picBricks 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   5280
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   10
      Top             =   120
      Width           =   480
   End
   Begin VB.CommandButton cmdNewLevel 
      Caption         =   "New Level"
      Height          =   555
      Left            =   135
      TabIndex        =   9
      TabStop         =   0   'False
      Top             =   75
      Width           =   1200
   End
   Begin VB.PictureBox picFIELD 
      AutoRedraw      =   -1  'True
      Height          =   930
      Left            =   1560
      ScaleHeight     =   58
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   133
      TabIndex        =   8
      Top             =   840
      Width           =   2055
   End
   Begin VB.PictureBox picIsh 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   4560
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   7
      Top             =   120
      Width           =   480
   End
   Begin VB.PictureBox picHol 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   2400
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   6
      Top             =   120
      Width           =   480
   End
   Begin VB.PictureBox picEven 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   3120
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   5
      Top             =   120
      Width           =   480
   End
   Begin VB.PictureBox picKlum 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   3840
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   4
      Top             =   120
      Width           =   480
   End
   Begin VB.PictureBox picYalom 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   1680
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   3
      Top             =   120
      Width           =   480
   End
   Begin VB.CommandButton cmdToenRama 
      Caption         =   "Load Level"
      Height          =   510
      Left            =   105
      TabIndex        =   2
      TabStop         =   0   'False
      Top             =   735
      Width           =   1200
   End
   Begin VB.CommandButton cmdShmorRama 
      Caption         =   "Save Level"
      Height          =   555
      Left            =   105
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   3480
      Width           =   1200
   End
   Begin VB.FileListBox fileboxRamot 
      Height          =   2040
      Left            =   105
      Pattern         =   "*.lvl"
      TabIndex        =   0
      Top             =   1320
      Width           =   1200
   End
   Begin VB.Label lblFileName 
      Caption         =   "lblFileName"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   7320
      TabIndex        =   12
      Top             =   240
      Width           =   1935
   End
   Begin VB.Shape Shape1 
      BorderColor     =   &H00FF0000&
      BorderWidth     =   2
      Height          =   555
      Left            =   1650
      Top             =   90
      Width           =   555
   End
End
Attribute VB_Name = "frmLevelEditor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ===========================================
' Boulder Dash Game !
'    version 2.00
'
' The task of this game is to collect diamonds
' and avoid ugly butter-flies. You have dodge
' around stones, and make sure they do not fall
' on you. Can play alone or two player game.
' Second player can be on another computer
'  TCP/IP via Internet or LAN
' (Previous Direct cable connection version is available separatly).

'
' This code is free to use for any purpose,
' you should keep the original copyright:
'
' Copyright (C) 2003 Free Code
' http://www.emu8086.com/vb/
'
' For comments: info@emu8086.com
' ===========================================
'
' Check for an update here:
'
'  http://www.emu8086.com/vb/
'
'
Option Explicit

Dim col As CollectionRibuim
Dim NETUNIM(0 To MAX_COL, 0 To MAX_ROW) As String

Dim selected_tool As String

' not used in editor, just to be compatible:
Dim ish_x As Integer
Dim ish_y As Integer
Dim p2_x As Integer
Dim p2_y As Integer

Dim diamondsLeftToPickUp As Integer

Private Sub cmdNewLevel_Click()
     lblFileName.Caption = "New"
    
     Dim X As Integer
     Dim Y As Integer
     
     For Y = 0 To MAX_ROW
        For X = 0 To MAX_COL
                NETUNIM(X, Y) = "KLUM"
                col(X, Y).ID = NETUNIM(X, Y)
        Next X
     Next Y
End Sub

Private Sub Form_Load()

    lblFileName.Caption = "New"

    Me.Icon = frmMenu.Icon

    prepare_GAME_FIELD picFIELD

    ' prepare the menu images (taken from frmDATA):
    picYalom.Picture = frmDATA.picYalom.Picture
    picHol.Picture = frmDATA.picHol.Picture
    picEven.Picture = frmDATA.picEven.Picture
    picKlum.Picture = frmDATA.picKlum.Picture
    picIsh.Picture = frmDATA.picIsh.Picture
    picBricks.Picture = frmDATA.picBricks.Picture
    picCreature.Picture = frmDATA.picCreature.Picture

    Set col = New CollectionRibuim

    Dim X As Integer
    Dim Y As Integer
'      
    For Y = 0 To MAX_ROW
        For X = 0 To MAX_COL
            col.Add "KLUM", X, Y, Me
        Next X
    Next Y

    selected_tool = "YALOM"
End Sub


Private Sub cmdShmorRama_Click()

    Dim X As Integer
    Dim Y As Integer
    Dim fNum As Integer
    Dim s As String
    Dim shemKovec As String

On Error GoTo error_ON_SAVE_LEVEL

    shemKovec = InputBox("Enter the file name", "Level name required", lblFileName.Caption)

    If shemKovec = "" Then Exit Sub

    fNum = FreeFile
    
    ' add extention if not there already:
    If Not endsWith(LCase(shemKovec), ".lvl") Then
       shemKovec = shemKovec & ".lvl"
    End If
    
    Open App.Path & "\" & shemKovec For Output As fNum

    ' "BONUS" isn't saved/loaded to/from file.

    For Y = 0 To MAX_ROW
        s = ""
        For X = 0 To MAX_COL
            s = s & Mid(col(X, Y).ID, 1, 1)
        Next X
        Print #fNum, s
    Next Y

    Close fNum

    lblFileName.Caption = shemKovec

    MsgBox "Level file: " & lblFileName.Caption & " -  saved!"
    
    fileboxRamot.Refresh
    
    Me.SetFocus
    
    Exit Sub
    
error_ON_SAVE_LEVEL:
        MsgBox "Error saving: " & shemKovec & vbNewLine _
                & "READ ONLY?" & vbNewLine _
                & Err.Description, vbCritical
End Sub

Private Sub cmdToenRama_Click()

On Error GoTo error_ON_LOAD_LEVEL

    Dim i As Integer
'         
    i = fileboxRamot.ListIndex
'       
    If i <> -1 Then
    
' uncomment to disallow editing!
'       Dim k As Integer
'       For k = 1 To FINAL_LEVEL_NUMBER
'            If StrComp(fileboxRamot.List(i), "RAMA" & k & ".LVL", vbTextCompare) = 0 Then
'                MsgBox "Cannot edit this level!"
'                Exit Sub
'            End If
'       Next k
    
       ' to avoid "fictitious" load of PLAYER 2 (BET):
       bTWO_PLAYER_MODE = False
       
       toenKovecRama fileboxRamot.List(i), NETUNIM, ish_x, ish_y, p2_x, p2_y, diamondsLeftToPickUp
       lblFileName.Caption = fileboxRamot.List(i)
       edkunTmunot
    End If
    
    Me.SetFocus
    
    Exit Sub
    
error_ON_LOAD_LEVEL:
        MsgBox "Error loading: " & fileboxRamot.List(i) & vbNewLine _
                & Err.Description, vbCritical
End Sub


Private Sub edkunTmunot()
     Dim X As Integer
     Dim Y As Integer
     
     For Y = 0 To MAX_ROW
        For X = 0 To MAX_COL
                col(X, Y).ID = NETUNIM(X, Y)
        Next X
     Next Y
End Sub

Private Sub picBonus_Click()
    select_tool "BONUS"
End Sub

Private Sub picBricks_Click()
    select_tool "BRICKS"
End Sub

Private Sub picCreature_Click()
    select_tool "CREATURE"
End Sub

Private Sub picIsh_Click()
    select_tool "ISH"
End Sub

Private Sub picHol_Click()
    select_tool "HOL"
End Sub

Private Sub picEven_Click()
    select_tool "EVEN"
End Sub

Private Sub picKlum_Click()
    select_tool "KLUM"
End Sub

Private Sub picYalom_Click()
    select_tool "YALOM"
End Sub

Private Sub select_tool(s As String)
    selected_tool = s
    
    Select Case selected_tool
    
    Case "ISH"
         Shape1.Move picIsh.Left - 2, picIsh.Top - 2
    Case "HOL"
         Shape1.Move picHol.Left - 2, picHol.Top - 2
    Case "EVEN"
         Shape1.Move picEven.Left - 2, picEven.Top - 2
    Case "KLUM"
         Shape1.Move picKlum.Left - 2, picKlum.Top - 2
    Case "YALOM"
         Shape1.Move picYalom.Left - 2, picYalom.Top - 2
    Case "BRICKS"
         Shape1.Move picBricks.Left - 2, picBricks.Top - 2
    Case "CREATURE"
         Shape1.Move picCreature.Left - 2, picCreature.Top - 2

    End Select
End Sub

Private Sub picFIELD_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim iX As Integer
    Dim iY As Integer
    
    '================ allow only one man for the game,
    If selected_tool = "ISH" Then
        For iY = 0 To MAX_ROW
            For iX = 0 To MAX_COL
                If col.Item2D(iX, iY).ID = "ISH" Then
                    MsgBox "Only one man is allowed..." & vbNewLine & _
                           " and it's already on the board!"
                    Exit Sub
                End If
            Next iX
        Next iY
    End If
    '================

    
    ' calculation of logical position,
    '  (on what box the click was processed):
    iX = Fix(X / frmDATA.picEven.Width)
    iY = Fix(Y / frmDATA.picEven.Height)
    
''' removed due to check on load of the file!
'''    ' Don't allow to place it at the column at the right edge -
'''    '  to avoid problem placing second man (in two player mode)
'''    '    see toenKovecRama() :
'''    If (selected_tool = "ISH") And (iX >= MAX_COL) Then
'''        MsgBox "Cannot place a man at this column " & vbNewLine & _
'''                    "(not suitable for two player mode)"
'''        Exit Sub
'''    End If
'''
    col.Item2D(iX, iY).ID = selected_tool
End Sub

'OP1'Private Sub rib_MouseDown(index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
'OP1'    col.Item(rib(index).Tag).ID = selected_tool
'OP1'End Sub

Private Sub Form_Unload(Cancel As Integer)
    frmMenu.Show
End Sub
