VERSION 5.00
Begin VB.Form frmLogo 
   BackColor       =   &H00000000&
   BorderStyle     =   0  'None
   Caption         =   "Logo"
   ClientHeight    =   2700
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3570
   LinkTopic       =   "Form2"
   MouseIcon       =   "frmLogo.frx":0000
   MousePointer    =   99  'Custom
   ScaleHeight     =   180
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   238
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Timer Timer1 
      Interval        =   1400
      Left            =   120
      Top             =   1920
   End
   Begin VB.Label lblVersion 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "version: 2.0"
      ForeColor       =   &H0080FFFF&
      Height          =   195
      Left            =   1365
      MouseIcon       =   "frmLogo.frx":0152
      MousePointer    =   99  'Custom
      TabIndex        =   1
      Top             =   1860
      Width           =   855
   End
   Begin VB.Image Image1 
      Height          =   480
      Left            =   1545
      MouseIcon       =   "frmLogo.frx":02A4
      MousePointer    =   99  'Custom
      Picture         =   "frmLogo.frx":03F6
      Top             =   1253
      Width           =   480
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Boulder Dash"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   435
      Left            =   585
      MouseIcon       =   "frmLogo.frx":1038
      MousePointer    =   99  'Custom
      TabIndex        =   0
      Top             =   660
      Width           =   2415
   End
End
Attribute VB_Name = "frmLogo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ===========================================
' Boulder Dash Game !
'    version 2.00
'
' The task of this game is to collect diamonds
' and avoid ugly butter-flies. You have dodge
' around stones, and make sure they do not fall
' on you. Can play alone or two player game.
' Second player can be on another computer
'  TCP/IP via Internet or LAN
' (Previous Direct cable connection version is available separatly).

'
' This code is free to use for any purpose,
' you should keep the original copyright:
'
' Copyright (C) 2003 Free Code
' http://www.emu8086.com/vb/
'
' For comments: info@emu8086.com
' ===========================================
'
' Check for an update here:
'
'  http://www.emu8086.com/vb/
'
'
Option Explicit

Private Sub Form_Load()
    Dim lngRegion As Long
    'Create the Region
    lngRegion = CreateEllipticRgn(0, 0, Me.ScaleWidth, Me.ScaleHeight)
    'Clip it!
    Call SetWindowRgn(Me.hWnd, lngRegion, True)
    
    Load_MUSIC
    
    Load_COM
    
End Sub

Private Sub Load_MUSIC()
    ' start the music in the background:
    On Error GoTo no_music
     Load frmMusic
     
    Exit Sub
no_music:
    frmBOX.ShowMsg "Cannot load [Mci32.ocx]", frmLogo
    
    Debug.Print "Load frmMusic: " & Err.Description
            
    frmDATA.checkPlayMusic.Enabled = False
End Sub

Private Sub Load_COM()
    On Error GoTo no_com
     Load frmCOM
     
    Exit Sub
no_com:
    frmBOX.ShowMsg "Cannot load [Mswinsck.ocx]", frmLogo
    
    Debug.Print "Load frmCOM: " & Err.Description
            
    frmSetup.optTwoPlayers.Enabled = False
End Sub

Private Sub Image1_Click()
    Timer1_Timer
End Sub

Private Sub Label1_Click()
    Timer1_Timer
End Sub

Private Sub Form_Click()
    Timer1_Timer
End Sub

Private Sub lblVersion_Click()
    Timer1_Timer
End Sub

Private Sub Timer1_Timer()
    Timer1.Enabled = False
    frmMenu.Show
    Me.Hide
End Sub
