VERSION 5.00
Begin VB.Form frmSetup 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Choose Game Type"
   ClientHeight    =   6090
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6780
   Icon            =   "frmSetup.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6090
   ScaleWidth      =   6780
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtPlayer2 
      Enabled         =   0   'False
      Height          =   375
      Left            =   1785
      MaxLength       =   20
      TabIndex        =   12
      Text            =   "Player 2"
      Top             =   2010
      Width           =   2415
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "Start"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   2385
      TabIndex        =   11
      Top             =   4650
      Width           =   1935
   End
   Begin VB.Frame frameP2 
      Caption         =   " Setting for two Player Game"
      Enabled         =   0   'False
      Height          =   1980
      Left            =   135
      TabIndex        =   5
      Top             =   2535
      Width           =   6480
      Begin VB.OptionButton optGuest 
         Caption         =   "Start Guest (connect to server)."
         Enabled         =   0   'False
         Height          =   300
         Left            =   420
         TabIndex        =   17
         Top             =   1080
         Width           =   2715
      End
      Begin VB.OptionButton optServer 
         Caption         =   "Start Server."
         Enabled         =   0   'False
         Height          =   300
         Left            =   420
         TabIndex        =   16
         Top             =   652
         Value           =   -1  'True
         Width           =   1770
      End
      Begin VB.OptionButton optSameScreen 
         Caption         =   "Both players play on the same screen."
         Enabled         =   0   'False
         Height          =   300
         Left            =   420
         TabIndex        =   14
         Top             =   225
         Width           =   3180
      End
      Begin VB.TextBox txtPORT 
         Enabled         =   0   'False
         Height          =   315
         Left            =   4965
         TabIndex        =   7
         Text            =   "1234"
         Top             =   1485
         Width           =   945
      End
      Begin VB.TextBox txtHostIP 
         Enabled         =   0   'False
         Height          =   330
         Left            =   1275
         TabIndex        =   6
         Text            =   "127.0.0.1"
         Top             =   1500
         Width           =   2115
      End
      Begin VB.Label lblKeys2 
         Caption         =   "Keys for second player on the same screen are: E,S,D,X"
         Enabled         =   0   'False
         Height          =   690
         Left            =   4050
         TabIndex        =   15
         Top             =   210
         Width           =   2310
      End
      Begin VB.Label lblPort 
         AutoSize        =   -1  'True
         Caption         =   "Port:"
         Enabled         =   0   'False
         Height          =   195
         Left            =   4290
         TabIndex        =   9
         Top             =   1530
         Width           =   330
      End
      Begin VB.Label lblAdr 
         AutoSize        =   -1  'True
         Caption         =   "Address:"
         Enabled         =   0   'False
         Height          =   195
         Left            =   240
         TabIndex        =   8
         Top             =   1575
         Width           =   615
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   " Game Type "
      Height          =   1215
      Left            =   150
      TabIndex        =   2
      Top             =   75
      Width           =   6480
      Begin VB.OptionButton optTwoPlayers 
         Caption         =   "Two Player Game"
         Height          =   375
         Left            =   330
         TabIndex        =   4
         Top             =   735
         Width           =   2535
      End
      Begin VB.OptionButton optOnePlayer 
         Caption         =   "Single Player Game"
         Height          =   375
         Left            =   330
         TabIndex        =   3
         Top             =   240
         Value           =   -1  'True
         Width           =   2535
      End
   End
   Begin VB.TextBox txtPlayer1 
      Height          =   375
      Left            =   1785
      MaxLength       =   20
      TabIndex        =   0
      Text            =   "Player 1"
      Top             =   1440
      Width           =   2415
   End
   Begin VB.Label lblP2 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      Caption         =   "Player 2 name:"
      Enabled         =   0   'False
      Height          =   195
      Left            =   315
      TabIndex        =   13
      Top             =   2100
      Width           =   1050
   End
   Begin VB.Label Label1 
      Caption         =   $"frmSetup.frx":030A
      Height          =   810
      Left            =   120
      TabIndex        =   10
      Top             =   5235
      Width           =   6450
   End
   Begin VB.Label lblP1 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      Caption         =   "Player 1 name:"
      Height          =   195
      Left            =   315
      TabIndex        =   1
      Top             =   1530
      Width           =   1050
   End
End
Attribute VB_Name = "frmSetup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ===========================================
' Boulder Dash Game !
'    version 2.00
'
' The task of this game is to collect diamonds
' and avoid ugly butter-flies. You have dodge
' around stones, and make sure they do not fall
' on you. Can play alone or two player game.
' Second player can be on another computer
'  TCP/IP via Internet or LAN
' (Previous Direct cable connection version is available separatly).

'
' This code is free to use for any purpose,
' you should keep the original copyright:
'
' Copyright (C) 2003 Free Code
' http://www.emu8086.com/vb/
'
' For comments: info@emu8086.com
' ===========================================
'
' Check for an update here:
'
'  http://www.emu8086.com/vb/
'
'
Option Explicit

Private Sub Start_Server()

    If Not ValidateNames Then Exit Sub

    bRUNNING_AS_GUEST = False


    PORT_N = Abs(Val(txtPORT.Text))

    bTWO_PLAYER_MODE = True
    ''''''''
    bP2_ON_ANOTHER_COMP = True
    
    If Not frmCOM.IConnect Then Exit Sub
    ''''''''

    sPlayerName = txtPlayer1.Text
    frmGame.lblPlayerName.Caption = sPlayerName
    
    ' second Player name is received with "CON",
    '   so it's updated there!
    sP2Name = txtPlayer2.Text
    frmGame.lblP2Name.Caption = sP2Name
   

    frmGame.Show
    
    DoEvents
    
    Me.Hide
    
    
    frmGame.showInfo "Waiting for guest connection...", ""
    frmGame.showInfo "Address: " & frmCOM.Winsock1.LocalIP, ""
    
    ' start receiving:
    frmGame.startReceiving_loop
    
    ' doesn't exit here until frmGame unloaded!!!

        
End Sub

Private Sub Start_Local_Game()

    If Not ValidateNames Then Exit Sub

    bRUNNING_AS_GUEST = False

    If optOnePlayer.Value Then
        bTWO_PLAYER_MODE = False
    Else
        bTWO_PLAYER_MODE = True
    End If
    ''''''''
    bP2_ON_ANOTHER_COMP = False
    ''''''''

    sPlayerName = txtPlayer1.Text
    frmGame.lblPlayerName.Caption = sPlayerName
    
    sP2Name = txtPlayer2.Text
    frmGame.lblP2Name.Caption = sP2Name
   
    frmGame.Show
    
    DoEvents
    
    Me.Hide
    
    DoEvents
        
    frmGame.startLevel 1
        
End Sub

Private Sub Start_Guest()

    If Not ValidateNames Then Exit Sub


    bRUNNING_AS_GUEST = True


    PORT_N = Abs(Val(txtPORT.Text))
    HOST_ADR = txtHostIP.Text

        
    DoEvents
    
    If Not frmCOM.IConnect Then Exit Sub
    
    DoEvents
    
    frmGuest.Show
    
    DoEvents
    
    Me.Hide
    
   
    ' inform server about our connection:
    frmCOM.SendMsg ":CON:" & txtPlayer1.Text & ":"
    
    frmGuest.showInfo "Waiting for server response..."
    
    ' the answer will be received into the buffer of COM port:
    
    ' start receiving:
    frmGuest.startReceiving_loop
     
    ' doesn't exit here until frmGuest unloaded!!!
    
End Sub



Private Sub Form_Load()
    Me.Icon = frmMenu.Icon
    ' txtHostIP.Text = frmCOM.Winsock1.LocalIP
End Sub

Private Sub Form_Unload(Cancel As Integer)
    frmMenu.Show
End Sub



Private Sub optOnePlayer_Click()
    If optOnePlayer.Value Then
        frameP2.Enabled = False
        txtPlayer2.Enabled = False
        lblP2.Enabled = False
        
        lblPort.Enabled = False
        txtPORT.Enabled = False
        lblAdr.Enabled = False
        txtHostIP.Enabled = False
        
        
        optSameScreen.Enabled = False
        optServer.Enabled = False
        optGuest.Enabled = False
        
        
    Else
        frameP2.Enabled = True
        'txtPlayer2.Enabled = True
        'lblP2.Enabled = True
        
        optSameScreen.Enabled = True
        optServer.Enabled = True
        optGuest.Enabled = True
    End If
End Sub




Private Sub optTwoPlayers_Click()
    optOnePlayer_Click
End Sub

Private Sub txtPlayer1_GotFocus()
    txtPlayer1.SelStart = 0
    txtPlayer1.SelLength = Len(txtPlayer1.Text)
End Sub

Private Sub txtPlayer2_GotFocus()
    txtPlayer2.SelStart = 0
    txtPlayer2.SelLength = Len(txtPlayer2.Text)
End Sub

' used to validate Players' names to avoid
'   communication problems:
Private Function ValidateNames() As Boolean
    
    ' Start of the message is marked with:
    '     "#" + message number + "-"
    '
    ' End of message is marked with
    '     "^" + message number + "."
    
    ' ":" is used to separate parameters!
    
    If Not frmCOM.isLegal_forMessage(txtPlayer1.Text) Then
        MsgBox "Wrong name for Player 1"
        ValidateNames = False
        Exit Function
    End If
    
    If txtPlayer2.Enabled Then ' check only if enabled!
        If Not frmCOM.isLegal_forMessage(txtPlayer2.Text) Then
            MsgBox "Wrong name for Player 2"
            ValidateNames = False
            Exit Function
        End If
    End If
    
    ' OK!
    ValidateNames = True
    
End Function


Private Sub optSameScreen_Click()
    If optSameScreen.Value = True Then
    
        lblPort.Enabled = False
        txtPORT.Enabled = False
        lblAdr.Enabled = False
        txtHostIP.Enabled = False
        
        lblKeys2.Enabled = True
        txtPlayer2.Enabled = True
        lblP2.Enabled = True
    
    End If
End Sub


Private Sub optServer_Click()
    If optServer.Value = True Then

        lblPort.Enabled = True
        txtPORT.Enabled = True
        
        lblAdr.Enabled = False
        txtHostIP.Enabled = False
        
        lblKeys2.Enabled = False
        txtPlayer2.Enabled = False
        lblP2.Enabled = False
    
    End If
End Sub

Private Sub optGuest_Click()
    If optGuest.Value = True Then

        lblPort.Enabled = True
        txtPORT.Enabled = True
        lblAdr.Enabled = True
        txtHostIP.Enabled = True
        
        lblKeys2.Enabled = False
        txtPlayer2.Enabled = False
        lblP2.Enabled = False
    
    End If
End Sub


Private Sub cmdStart_Click()

    If optSameScreen.Enabled = True Then
    
            If optSameScreen.Value Then
                Start_Local_Game
            ElseIf optServer.Value Then
                Start_Server
            ElseIf optGuest.Value Then
                Start_Guest
            End If
    
    Else  ' single player game....
            Start_Local_Game
    End If
    
End Sub
