VERSION 5.00
Begin VB.Form frmWinners 
   BackColor       =   &H00FF8080&
   Caption         =   "High Scores"
   ClientHeight    =   3780
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5325
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3780
   ScaleWidth      =   5325
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdClose 
      BackColor       =   &H00FFC0C0&
      Caption         =   "Close"
      Height          =   480
      Left            =   1875
      TabIndex        =   3
      Top             =   3195
      Width           =   1515
   End
   Begin VB.Frame Frame1 
      BackColor       =   &H00FFC0C0&
      Height          =   2970
      Left            =   52
      TabIndex        =   0
      Top             =   60
      Width           =   5220
      Begin VB.Line Line1 
         X1              =   3615
         X2              =   3615
         Y1              =   240
         Y2              =   2790
      End
      Begin VB.Label lblScore 
         Alignment       =   2  'Center
         BackColor       =   &H00FFC0C0&
         Caption         =   "#score#"
         BeginProperty Font 
            Name            =   "Times New Roman"
            Size            =   14.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   480
         Index           =   0
         Left            =   3870
         TabIndex        =   2
         Top             =   345
         Width           =   1200
      End
      Begin VB.Label lblName 
         Alignment       =   2  'Center
         BackColor       =   &H00FFC0C0&
         Caption         =   "#name#"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   14.25
            Charset         =   177
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   480
         Index           =   0
         Left            =   240
         TabIndex        =   1
         Top             =   345
         Width           =   3060
      End
   End
End
Attribute VB_Name = "frmWinners"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ===========================================
' Boulder Dash Game !
'    version 2.00
'
' The task of this game is to collect diamonds
' and avoid ugly butter-flies. You have dodge
' around stones, and make sure they do not fall
' on you. Can play alone or two player game.
' Second player can be on another computer
'  TCP/IP via Internet or LAN
' (Previous Direct cable connection version is available separatly).

'
' This code is free to use for any purpose,
' you should keep the original copyright:
'
' Copyright (C) 2003 Free Code
' http://www.emu8086.com/vb/
'
' For comments: info@emu8086.com
' ===========================================
'
' Check for an update here:
'
'  http://www.emu8086.com/vb/
'
'
Option Explicit

Private Sub cmdClose_Click()
    frmMenu.Show
    Me.Hide
End Sub

Private Sub Form_DblClick()
    
    ' a hidden option to reset the score data!
    
    If vbYes = MsgBox("Reset the score data?", vbDefaultButton2 + vbYesNo) Then
    
        Dim i As Integer
        
        For i = 0 To 4
            lblName(i).Caption = ""
            lblScore(i).Caption = ""
        Next i
        
        storeScoreData
        
    End If
End Sub

Private Sub Form_Load()
    Me.Icon = frmMenu.Icon

    Dim i As Integer
    
    lblName(0).Caption = ""
    lblScore(0).Caption = ""
        
    For i = 1 To 4
        Load lblName(i)
        Load lblScore(i)
        lblName(i).Top = lblName(i - 1).Top + lblName(i - 1).Height
        lblScore(i).Top = lblScore(i - 1).Top + lblScore(i - 1).Height
        lblName(i).Visible = True
        lblScore(i).Visible = True
        
        lblName(i).Caption = ""
        lblScore(i).Caption = ""
    Next i
    
    loadScoreData
End Sub

Public Sub storeScoreData()
On Error GoTo error_save
    Dim iFNum As Integer
    Dim i As Integer
    
    iFNum = FreeFile
    
    Open App.Path & "\score.dat" For Output As iFNum
        For i = 0 To 4
            Print #iFNum, lblName(i).Caption
            Print #iFNum, lblScore(i).Caption
        Next i
    Close iFNum
    
    Exit Sub
error_save:
    MsgBox "Error saving score.dat" & vbNewLine & _
            Err.Description
End Sub

Private Sub loadScoreData()
On Error GoTo error_load
    
    Dim iFNum As Integer
    Dim i As Integer
    Dim s As String
    
    iFNum = FreeFile

    Open App.Path & "\score.dat" For Input As iFNum
        For i = 0 To 4
           Line Input #iFNum, s
           lblName(i).Caption = s
           Line Input #iFNum, s
           lblScore(i).Caption = s
        Next i
    Close iFNum
    
    Exit Sub
error_load:
    MsgBox "Error loading score.dat" & vbNewLine & _
            Err.Description
End Sub

Public Sub AddPlayerInfo(sName As String, iScore As Integer, bSEND_INSTEAD_MSGBOX As Boolean)

    Dim i As Integer
    
    For i = 0 To 4
        If iScore >= Val(lblScore(i).Caption) Then
            MoveListDownFromIndex (i)
            lblName(i).Caption = sName
            lblScore(i).Caption = iScore
            storeScoreData ' update the file!
            
            Dim sMsg As String
            
            sMsg = sName & " is added to High Score List!"
            
            If bSEND_INSTEAD_MSGBOX Then
                ' in case Player 2 is on another computer,
                '  then show MsgBox on another computer:
                frmCOM.SendMsg ":BOX:" & sMsg & ":"
            Else
                'MsgBox sMsg
                frmBOX.ShowMsg sMsg, frmWinners
            End If
            
            Exit Sub ' added!
        End If
    Next i

    ' not added!
End Sub

Public Sub MoveListDownFromIndex(Index As Integer)
    Dim i As Integer
    
    ' the last item (nowhere to move - just overwritten):
    If Index = 4 Then Exit Sub
    
    For i = 3 To Index Step -1
        lblName(i + 1).Caption = lblName(i).Caption
        lblScore(i + 1).Caption = lblScore(i).Caption
    Next i
    
End Sub

Public Sub SendList_TO_Player2()
    Dim i As Integer
    
    For i = 0 To 4
       frmCOM.SendMsg ":WN" & i & ":" & lblName(i).Caption & ":"
       frmCOM.SendMsg ":WS" & i & ":" & lblScore(i).Caption & ":"
    Next i
    
    frmCOM.SendMsg ":STO:" & "RESERVED" & ":"
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    frmMenu.Show
End Sub
