VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Ribua"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
' ===========================================
' Boulder Dash Game !
'    version 2.00
'
' The task of this game is to collect diamonds
' and avoid ugly butter-flies. You have dodge
' around stones, and make sure they do not fall
' on you. Can play alone or two player game.
' Second player can be on another computer
'  TCP/IP via Internet or LAN
' (Previous Direct cable connection version is available separatly).

'
' This code is free to use for any purpose,
' you should keep the original copyright:
'
' Copyright (C) 2003 Free Code
' http://www.emu8086.com/vb/
'
' For comments: info@emu8086.com
' ===========================================
'
' Check for an update here:
'
'  http://www.emu8086.com/vb/
'
'
Option Explicit

'local variable(s) to hold property value(s)
Private mvarID As String 'local copy

' y-location of an image (in logical units):
Private mvarplaceX As Integer 'local copy
Private mvarplaceY As Integer 'local copy

Public pixelX As Integer 'x-location of an image (in pixels).
Public pixelY As Integer 'y-location of an image (in pixels).

'OP1' Public Tmuna As PictureBox   '
Public gameFIELD As PictureBox   ' the big picture box on frmMain/frmLevelEditor.

Public Property Let placeY(ByVal vData As Integer)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.placeY = 5
    mvarplaceY = vData
End Property


Public Property Get placeY() As Integer
'used when retrieving value of a property
    placeY = mvarplaceY
End Property



Public Property Let placeX(ByVal vData As Integer)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.placeX = 5
    mvarplaceX = vData
End Property


Public Property Get placeX() As Integer
'used when retrieving value of a property
    placeX = mvarplaceX
End Property



Public Property Let ID(ByVal vData As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ID = 5
    mvarID = vData
    
    ' pictures are saved on frmDATA!
    
    Select Case vData
    Case "KLUM"
        gameFIELD.PaintPicture frmDATA.picKlum.Picture, pixelX, pixelY
    Case "EVEN"
        gameFIELD.PaintPicture frmDATA.picEven.Picture, pixelX, pixelY
    Case "YALOM"
        gameFIELD.PaintPicture frmDATA.picYalom.Picture, pixelX, pixelY
    Case "HOL"
        gameFIELD.PaintPicture frmDATA.picHol.Picture, pixelX, pixelY
        
    ' "ISH" prefix is used in Move_Creatures() to check
    '   collision with a man (Player 1 - ALEF)!
    Case "ISH"
        gameFIELD.PaintPicture frmDATA.picIsh.Picture, pixelX, pixelY
    Case "ISH_PUSH_LEFT"
        gameFIELD.PaintPicture frmDATA.picIsh_push_left.Picture, pixelX, pixelY
    Case "ISH_PUSH_RIGHT"
        gameFIELD.PaintPicture frmDATA.picIsh_push_right.Picture, pixelX, pixelY
    Case "ISH_GO_LEFT"
        gameFIELD.PaintPicture frmDATA.picIsh_go_left.Picture, pixelX, pixelY
    Case "ISH_GO_RIGHT"
        gameFIELD.PaintPicture frmDATA.picIsh_go_right.Picture, pixelX, pixelY
        
    ' "P2" prefix is used in Move_Creatures() to check
    '   collision with a man (Player 2 - BET)!
    Case "P2"
        gameFIELD.PaintPicture frmDATA.picP2.Image, pixelX, pixelY
    Case "P2_PUSH_LEFT"
        gameFIELD.PaintPicture frmDATA.picP2_push_left.Image, pixelX, pixelY
    Case "P2_PUSH_RIGHT"
        gameFIELD.PaintPicture frmDATA.picP2_push_right.Image, pixelX, pixelY
    Case "P2_GO_LEFT"
        gameFIELD.PaintPicture frmDATA.picP2_go_left.Image, pixelX, pixelY
    Case "P2_GO_RIGHT"
        gameFIELD.PaintPicture frmDATA.picP2_go_right.Image, pixelX, pixelY


    Case "DESTROYED"
        gameFIELD.PaintPicture frmDATA.picDestroyed.Picture, pixelX, pixelY
    
    Case "BRICKS"
        gameFIELD.PaintPicture frmDATA.picBricks.Picture, pixelX, pixelY

    Case "CREATURE"
        gameFIELD.PaintPicture frmDATA.picCreature.Picture, pixelX, pixelY

    Case "BONUS"
        gameFIELD.PaintPicture frmDATA.picBonus.Picture, pixelX, pixelY
    
    Case Else
    
        Debug.Print "RIBUA.ID = " & vData & " - UNKNOWN TYPE."
    
    End Select
    
   ' ''''''''
   
    If bP2_ON_ANOTHER_COMP Then
        frmCOM.SendMsg ":RIB:" & mvarplaceX & "," & mvarplaceY & ":" & vData & ":"
    End If
    
End Property


Public Property Get ID() As String
Attribute ID.VB_UserMemId = 0
'used when retrieving value of a property
    ID = mvarID
End Property



