VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form frmCOM 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Communication Settings"
   ClientHeight    =   3120
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4845
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3120
   ScaleWidth      =   4845
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin MSWinsockLib.Winsock Winsock1 
      Left            =   2190
      Top             =   975
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.CheckBox chkEnableLog 
      Caption         =   "Enable log"
      Height          =   255
      Left            =   1680
      TabIndex        =   1
      Top             =   2520
      Width           =   1455
   End
   Begin VB.CommandButton cmdLogWindow 
      Caption         =   "log window"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   2520
      Width           =   1455
   End
End
Attribute VB_Name = "frmCOM"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ===========================================
' Boulder Dash Game !
'    version 2.00
'
' The task of this game is to collect diamonds
' and avoid ugly butter-flies. You have dodge
' around stones, and make sure they do not fall
' on you. Can play alone or two player game.
' Second player can be on another computer
'  TCP/IP via Internet or LAN
' (Previous Direct cable connection version is available separatly).

'
' This code is free to use for any purpose,
' you should keep the original copyright:
'
' Copyright (C) 2003 Free Code
' http://www.emu8086.com/vb/
'
' For comments: info@emu8086.com
' ===========================================
'
' Check for an update here:
'
'  http://www.emu8086.com/vb/
'
'
Option Explicit

Dim bLOG_ENABLED As Boolean

' out message counter:
Dim iMSGCOUNTER As Long

' Buffer for TCP/IP:
Dim sBUFFER As String

Private Sub Form_Load()
    bLOG_ENABLED = False
    'frmLogWindow.Show
End Sub

Private Sub chkEnableLog_Click()
    If chkEnableLog.Value = vbChecked Then
        bLOG_ENABLED = True
    Else
        bLOG_ENABLED = False
    End If
End Sub

Private Sub cmdLogWindow_Click()
    frmLogWindow.Show
End Sub


Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
   If UnloadMode = 0 Then ' The user has chosen the Close command from the  Control-menu box  on the  form.
        Cancel = 1
        Me.Hide
        Debug.Print "frmCOM hidden, not unloaded!"
   End If
End Sub

Public Function IConnect() As Boolean
On Error GoTo error_On_OpenPort
    
    If bRUNNING_AS_GUEST Then
        Winsock1.Connect HOST_ADR, PORT_N  'Just remember this Port Number Should be Same on which our Server is Listening
        
    Else
        
        'If one Copy of Our Application is already running then don't load a new one
       ' If Not App.PrevInstance = True Then
            Winsock1.LocalPort = PORT_N 'This can be any Valid Port Number
            'Wait for Clients to Connect with Your Server.
            Winsock1.Listen
       ' End If

    End If

    IConnect = True
    
    Exit Function
error_On_OpenPort:
    MsgBox "Error on IConnect: " & Err.Description
             
    IConnect = False
End Function

Public Sub ClosePort()

    If Winsock1.State <> sckClosed Then Winsock1.Close
      
End Sub


Public Sub SendMsg(ByRef sMessage As String)

    If Winsock1.State <> sckConnected Then
        ' Debug.Print "Cannot send: " & sMessage
        Exit Sub
    End If

    ' Send the text:
    
    ' Start of the message is marked with:
    '     "#" + message number + "-"
    '
    ' End of message is marked with
    '     "^" + message number + "."
    
    sMessage = "#" & iMSGCOUNTER & "-" & sMessage & "^" & iMSGCOUNTER & "."

    'Debug.Print sMessage
           
    Winsock1.SendData sMessage
    
    iMSGCOUNTER = iMSGCOUNTER + 1
    
    ' in case counter goes to far, reset it:
    If iMSGCOUNTER > 100000 Then iMSGCOUNTER = 0
End Sub

Public Function GetMsg() As String
    
    Dim s As String
    
    Do
        DoEvents
    Loop Until Len(sBUFFER) > 0

    s = sBUFFER

    GetMsg = s
    
    sBUFFER = ""
    
End Function
             


' Returns "FALSE" in case string contains one of the following:
'                 # - ^ . :
' otherwise returns "TRUE"
Public Function isLegal_forMessage(ByRef s As String) As Boolean
        If InStr(1, s, "#", vbTextCompare) Or InStr(1, s, "-", vbTextCompare) _
          Or InStr(1, s, "^", vbTextCompare) Or InStr(1, s, ".", vbTextCompare) _
          Or InStr(1, s, ":", vbTextCompare) Then
          
          isLegal_forMessage = False
          
        Else
          
          isLegal_forMessage = True
          
        End If
End Function

Private Sub Winsock1_Close()

' Check if the Winsock Control is Connected or not If connected then Close it
If Winsock1.State <> sckClosed Then Winsock1.Close

frmBOX.ShowMsg "Connection Terminated!", frmMenu

End Sub

Private Sub Winsock1_ConnectionRequest(ByVal requestID As Long)

'First Check if the Winsock Control is Connected or not If connected then Close it
If Winsock1.State <> sckClosed Then Winsock1.Close

'Now accept the Request
Winsock1.Accept requestID

End Sub

Private Sub Winsock1_DataArrival(ByVal bytesTotal As Long)

Dim str As String

'Now we will store data that has came into this string

Winsock1.GetData str

sBUFFER = sBUFFER & str

End Sub

Private Sub Winsock1_Error(ByVal Number As Integer, Description As String, ByVal Scode As Long, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, CancelDisplay As Boolean)

    If Not bLOG_ENABLED Then Exit Sub

    If Len(Description) <> 0 Then
        frmLogWindow.Add_to_Log "Error: " & Description
    End If
    
End Sub
